#!/usr/bin/bash

(( ${EUID} == 0 )) &&
  { echo >&2 "This script should not be run as root!"; exit 1; }

acme_dir() {
  mkdir -p $( pwd )/{.acme,app}
  mkdir -p $( pwd )/.acme/{account,alpn-cert,cert,chain,challenge}
}

acme_cron() {
  user="${USER}"
  group="$( id -gn ${user} )"
  cat > $( pwd )/cron.app.acme <<EOF
SHELL=/bin/bash
PATH=/sbin:/bin:/usr/sbin:/usr/bin
MAILTO=''

15 3 * * 1 ${user} /usr/bin/bash $( pwd )/app/dehydrated/dehydrated --cron

EOF
}

# -------------------------------------------------------------------------------------------------------------------- #
# -----------------------------------------------------< SCRIPT >----------------------------------------------------- #
# -------------------------------------------------------------------------------------------------------------------- #

acme_dir && acme_cron

# -------------------------------------------------------------------------------------------------------------------- #
# Exit.
# -------------------------------------------------------------------------------------------------------------------- #

exit 0
