#!/usr/bin/bash

(( ${EUID} == 0 )) &&
  { echo >&2 "This script should not be run as root!"; exit 1; }

# -------------------------------------------------------------------------------------------------------------------- #
# -----------------------------------------------------< SCRIPT >----------------------------------------------------- #
# -------------------------------------------------------------------------------------------------------------------- #

# -------------------------------------------------------------------------------------------------------------------- #
# Get apps.
# -------------------------------------------------------------------------------------------------------------------- #

sum=$( command -v sha256sum )

# -------------------------------------------------------------------------------------------------------------------- #
# Get timestamp.
# -------------------------------------------------------------------------------------------------------------------- #

timestamp=$( date -u '+%Y-%m-%d.%H-%M-%S' )

# -------------------------------------------------------------------------------------------------------------------- #
# Run checksum.
# -------------------------------------------------------------------------------------------------------------------- #

find . -type f -print0 | xargs -0 ${sum} > ${HOME}/sum.sha256.${timestamp}.txt

# -------------------------------------------------------------------------------------------------------------------- #
# Exit.
# -------------------------------------------------------------------------------------------------------------------- #

exit 0
